<?php

namespace App\Nova\Permissions;

use Closure;

class NovaPermission
{
    /**
     * Can?
     */
    public static function can(string $permission): Closure
    {
        return fn () => auth()->user()->can();
    }

    /**
     * Check if user is entrepreneur
     */
    public static function canSeeIfUserIsEntrepreneur(): Closure
    {
        return fn () => auth()->user()->isEntrepreneur();
    }
}
